%define _mobile     0
%define _xbase      0
%define _postgresql 1

%define rel 5

Name:           calligra
Epoch:          12
Version: 3.0.0.1
Release:        %mkrel %rel
Summary:        Set of office applications for KDE
Group:          Office/Suite
License:        GPLv2+ and GFDL and LGPLv2
URL:            http://www.calligra.org
Source:         http://download.kde.org/stable/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Kross)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5KHtml)

BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KChart)
BuildRequires:  cmake(Qca-qt5)
BuildRequires:  cmake(Marble)
BuildRequires:  cmake(KPropertyCore)
BuildRequires:  cmake(KReport)
BuildRequires:  cmake(Okular5)
%ifnarch %{arm}
BuildRequires:  cmake(Vc)
%endif

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Declarative)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)

BuildRequires:  boost-devel
BuildRequires:  git
BuildRequires:  libreoffice-core
BuildRequires:  spnav-devel

BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(librevenge-0.0)
BuildRequires:  pkgconfig(librevenge-stream-0.0)
BuildRequires:  pkgconfig(libodfgen-0.1)
BuildRequires:  pkgconfig(libwpd-0.10)
BuildRequires:  pkgconfig(libwpg-0.3)
BuildRequires:  pkgconfig(libwps-0.4)
BuildRequires:  pkgconfig(libvisio-0.1)
BuildRequires:  pkgconfig(libetonyek-0.1)
BuildRequires:  pkgconfig(pstoedit)

%if %_postgresql
BuildRequires:  pkgconfig(libpqxx)
%endif
%if %_xbase
BuildRequires:  xbase-devel
%endif

Recommends:     %{name}-words
Recommends:     %{name}-sheets
Recommends:     karbon
Recommends:     %{name}-stage
Recommends:     plan
Recommends:     kexi
# NOTE: reenable if/when again available
#Recommends:     flow
#Recommends:     kformula
#Recommends:     braindump
#Recommends:     %%{name}-gemini
Obsoletes:      f-office
Obsoletes:      koshell
Obsoletes:      kugar
Obsoletes:      kivio
Obsoletes:      koffice-kivio < 1.6.3-20
Obsoletes:      koffice

# KF5AkonadiContact is not available
ExcludeArch:    armv5tl

%description
Office applications for the K Desktop Environment.

Calligra contains:
   * Words: word processor
   * Sheets: spreadsheet
   * Stage: presentations
   * Flow: diagram generator
   * Some filters (Excel 97, Winword 97/2000, etc.)
   * karbon: the scalable vector drawing application for KDE.
   * plan: a project management.
   * kexi: an integrated data management application.

%files

#--------------------------------------------------------------------

%package        core
Group:          Office/Utilities
Summary:        Set of office applications for KDE
Obsoletes:      koffice-core < 12:2.4
Obsoletes:      %{_lib}kopainter5
Obsoletes:      koffice2-core
Obsoletes:      koffice-common
Obsoletes:      koshell
Obsoletes:      kugar
Obsoletes:      kivio
Obsoletes:      koffice-core
Obsoletes:      kchart < 12:3.0.0-5
# NOTE: reenable if/when again available
Obsoletes:      calligra-reports-web-element < 12:3.0.0-5
Obsoletes:      calligra-reports-chart-element < 12:3.0.0-5
Obsoletes:      calligra-author < 12:3.0.0-5
Obsoletes:      kformula < 12:3.0.0-5
Obsoletes:      flow < 12:3.0.0-5
Obsoletes:      stateshape < 12:3.0.0-5
Obsoletes:      webshape < 12:3.0.0-5
Obsoletes:      braindump < 12:3.0.0-5
Obsoletes:      calligra-active < 12:3.0.0-5
Obsoletes:      calligra-gemini < 12:3.0.0-5
# fix upgrade from mga5:
Provides:      calligra-l10n = %version calligra-l10n-bs = %version calligra-l10n-ca = %version calligra-l10n-cs = %version calligra-l10n-da = %version calligra-l10n-de = %version calligra-l10n-el = %version calligra-l10n-en_GB = %version calligra-l10n-en_US = %version calligra-l10n-es = %version calligra-l10n-et = %version calligra-l10n-fi = %version calligra-l10n-fr = %version calligra-l10n-gl = %version calligra-l10n-hu = %version calligra-l10n-it = %version calligra-l10n-ja = %version calligra-l10n-kk = %version calligra-l10n-nb = %version calligra-l10n-nl = %version calligra-l10n-pl = %version calligra-l10n-pt = %version calligra-l10n-pt_BR = %version calligra-l10n-ru = %version calligra-l10n-sk = %version calligra-l10n-sv = %version calligra-l10n-tr = %version calligra-l10n-uk = %version calligra-l10n-zh_CN = %version calligra-l10n-zh_TW = %version 
Conflicts:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 
Obsoletes:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 
#Provides:      calligra-l10n
Obsoletes:      calligra-l10n

%description    core
Common files for Calligra.

%files core -f calligra.lang
%_kf5_bindir/calligra
%_kf5_bindir/calligraconverter
%_kf5_bindir/cstester
%_kf5_bindir/cstrunner
%_kf5_bindir/visualimagecompare
%_kf5_datadir/mime/packages/calligra_svm.xml
%_kf5_datadir/mime/packages/msooxml-all.xml
%_kf5_datadir/mime/packages/x-iwork-keynote-sffkey.xml
%_qt5_plugindir/calligra/colorspaces/kolcmsengine.so
%_kf5_datadir/calligra/icons/*/*/*/*
%_kf5_iconsdir/hicolor/*/mimetypes/*
%_kf5_qmldir/org/calligra
%_kf5_qmldir/org/kde/calligra
%_kf5_datadir/calligra/autocorrect
%_kf5_datadir/calligra/cursors
%_kf5_datadir/calligra/palettes
%_kf5_datadir/calligra/pics/questionmark.png
%_kf5_datadir/calligra/styles/markers.xml
%_kf5_datadir/calligra_shape_music/fonts/Emmentaler-14.ttf

#Find better package
%_qt5_plugindir/calligra/devices/calligra_device_spacenavigator.so
%_qt5_plugindir/calligra/dockers/calligra_docker_defaults.so
%_qt5_plugindir/calligra/dockers/calligra_docker_stencils.so
%_qt5_plugindir/calligra/pageapptools/kopabackgroundtool.so
%_qt5_plugindir/calligra/shapefiltereffects/calligra_filtereffects.so
%_qt5_plugindir/calligra/tools/calligra_tool_basicflakes.so
%_qt5_plugindir/calligra/tools/calligra_tool_defaults.so
%_qt5_plugindir/calligradocinfopropspage.so
%_qt5_plugindir/calligraimagethumbnail.so
%_qt5_plugindir/calligrathumbnail.so
%_kf5_datadir/calligra/calligra_shell.rc
%_kf5_services/calligradocinfopropspage.desktop

#--------------------------------------------------------------------
%if 0
%package        reports-web-element
Summary:        Web element for Calligra Reports
Group:          Office/Utilities
Conflicts:      calligra-core < 12:2.5.2

%description    reports-web-element
Web element for Calligra Reports.

%files reports-web-element
%endif
#--------------------------------------------------------------------
%if 0
%package        reports-chart-element
Summary:        Chart element for Calligra Reports
Group:          Office/Utilities

%description    reports-chart-element
Chart element for Calligra Reports.

%files reports-chart-element
%endif
#--------------------------------------------------------------------

%package        words
Summary:        Word processor for calligra
Group:          Office/Word processor
URL:            http://www.calligra.org/words/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Requires:       wordnet
Provides:       %name-apps
Obsoletes:      koffice-kword
Obsoletes:      koffice2-kword
Obsoletes:      kword
Conflicts:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 

%description    words
Words is an intuitive word processor application with desktop publishing
features.
With it, you can create informative and attractive documents with ease.

%files words -f calligrawords.lang
%_kf5_sysconfdir/xdg/calligrawordsrc
%_kf5_bindir/calligrawords
%_kf5_services/ServiceMenus/calligra/words_print.desktop
%_kf5_services/words*.desktop
%_kf5_iconsdir/hicolor/*/apps/calligrawords.*
%_kf5_datadir/templates/.source/TextDocument.odt
%_kf5_datadir/templates/TextDocument.desktop
%_kf5_datadir/mime/packages/wiki-format.xml
%_kf5_datadir/calligrawords
%_kf5_libdir/libkdeinit5_calligrawords.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_ascii2words.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_odt*
%_qt5_plugindir/calligra/formatfilters/calligra_filter_applixword2odt.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_doc2odt.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_docx2odt.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_html2ods.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_rtf2odt.so
%_qt5_plugindir/calligra/shapes/calligra_shape_artistictext.so
%_qt5_plugindir/calligra/shapes/calligra_shape_chart.so
%_qt5_plugindir/calligra/shapes/calligra_shape_formula.so
%_qt5_plugindir/calligra/shapes/calligra_shape_music.so
%_qt5_plugindir/calligra/shapes/calligra_shape_paths.so
%_qt5_plugindir/calligra/shapes/calligra_shape_picture.so
%_qt5_plugindir/calligra/shapes/calligra_shape_plugin.so
%_qt5_plugindir/calligra/shapes/calligra_shape_text.so
%_qt5_plugindir/calligra/shapes/calligra_shape_vector.so
%_qt5_plugindir/calligra/shapes/calligra_shape_video.so
%_qt5_plugindir/calligra/textediting/calligra_textediting_autocorrect.so
%_qt5_plugindir/calligra/textediting/calligra_textediting_changecase.so
%_qt5_plugindir/calligra/textediting/calligra_textediting_spellcheck.so
%_qt5_plugindir/calligra/textediting/calligra_textediting_thesaurus.so
%_qt5_plugindir/calligra/textinlineobjects/calligra_textinlineobject_variables.so
%_qt5_plugindir/calligra/textinlineobjects/kprvariables.so
%_qt5_plugindir/calligra/parts/calligrawordspart.so
%_qt5_plugindir/okular/generators/okularGenerator_doc_calligra.so
%_qt5_plugindir/okular/generators/okularGenerator_docx_calligra.so
%_qt5_plugindir/okular/generators/okularGenerator_odt_calligra.so
%_kf5_appdatadir/org.kde.calligrawords.appdata.xml
%_kf5_applicationsdir/org.kde.calligrawords.desktop
%_kf5_applicationsdir/org.kde.calligrawords_ascii.desktop
%_kf5_datadir/kxmlgui5/calligrawords/calligrawords.rc
%_kf5_datadir/kxmlgui5/calligrawords/calligrawords_readonly.rc
%_kf5_services/okularDoc_calligra.desktop
%_kf5_services/okularDocx_calligra.desktop
%_kf5_services/okularOdp_calligra.desktop
%_kf5_services/okularOdt_calligra.desktop
%_kf5_datadir/calligra/thesaurus/thesaurus.txt
%_kf5_datadir/templates/Presentation.desktop
%_kf5_datadir/templates/.source/Presentation.odp
%_kf5_applicationsdir/calligra_filter_odt2docx.desktop
%_kf5_applicationsdir/okularApplication_doc_calligra.desktop
%_kf5_applicationsdir/okularApplication_docx_calligra.desktop
%_kf5_applicationsdir/okularApplication_odt_calligra.desktop

#--------------------------------------------------------------------
%if 0
%package        author
Summary:        Write ebooks and textbooks
Group:          Office/Word processor
Requires:       %name-words = %epoch:%version-%release

%description    author
Write ebooks and textbooks.

%files author
%endif
#--------------------------------------------------------------------

%package -n     plan
Summary:        Project management application for Calligra
Group:          Office/Management
URL:            http://www.calligra.org/plan/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Provides:       %name-apps
Provides:       kplato2
Obsoletes:      kplatowork
Obsoletes:      kplato
Obsoletes:      %{_lib}kplatoworkprivat5
Obsoletes:      koffice-kplato
Obsoletes:      koffice2-kplato
Conflicts:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 

%description -n plan
Plan is a project management application.
It is intended for managing moderately large projects with multiple resources.

%files -n plan -f calligraplan.lang
%_kf5_sysconfdir/xdg/calligraplanrc
%_kf5_sysconfdir/xdg/calligraplanworkrc
%_kf5_bindir/calligraplan
%_kf5_bindir/calligraplanwork
%_kf5_datadir/calligraplan
%_kf5_datadir/calligraplanwork
%_kf5_libdir/libkdeinit5_calligraplan.so
%_kf5_libdir/libkdeinit5_calligraplanwork.so
%_qt5_plugindir/calligra/formatfilters/planicalexport.so
%_qt5_plugindir/calligra/formatfilters/plankplatoimport.so
%_qt5_plugindir/calligra/parts/calligraplanpart.so
%_qt5_plugindir/calligraplan/schedulers/libplantjscheduler.so
%_qt5_plugindir/calligraplanworkpart.so
%_qt5_plugindir/kreport/planreport_textplugin.so
%_kf5_appdatadir/org.kde.calligraplan.appdata.xml
%_kf5_applicationsdir/org.kde.calligraplan.desktop
%_kf5_applicationsdir/org.kde.calligraplanwork.desktop
%_kf5_datadir/config.kcfg/calligraplansettings.kcfg
%_kf5_datadir/config.kcfg/calligraplanworksettings.kcfg
%_kf5_iconsdir/hicolor/1024x1024/apps/calligraplan.png
%_kf5_iconsdir/hicolor/128x128/apps/calligraplan.png
%_kf5_iconsdir/hicolor/128x128/apps/calligraplanwork.png
%_kf5_iconsdir/hicolor/128x128/mimetypes/application-x-vnd.kde.plan.png
%_kf5_iconsdir/hicolor/128x128/mimetypes/application-x-vnd.kde.plan.work.png
%_kf5_iconsdir/hicolor/16x16/apps/calligraplan.png
%_kf5_iconsdir/hicolor/16x16/apps/calligraplanwork.png
%_kf5_iconsdir/hicolor/16x16/mimetypes/application-x-vnd.kde.plan.work.png
%_kf5_iconsdir/hicolor/22x22/apps/calligraplan.png
%_kf5_iconsdir/hicolor/22x22/apps/calligraplanwork.png
%_kf5_iconsdir/hicolor/22x22/mimetypes/application-x-vnd.kde.plan.work.png
%_kf5_iconsdir/hicolor/256x256/apps/calligraplan.png
%_kf5_iconsdir/hicolor/32x32/apps/calligraplan.png
%_kf5_iconsdir/hicolor/32x32/apps/calligraplanwork.png
%_kf5_iconsdir/hicolor/32x32/mimetypes/application-x-vnd.kde.plan.work.png
%_kf5_iconsdir/hicolor/48x48/apps/calligraplan.png
%_kf5_iconsdir/hicolor/48x48/apps/calligraplanwork.png
%_kf5_iconsdir/hicolor/48x48/mimetypes/application-x-vnd.kde.plan.work.png
%_kf5_iconsdir/hicolor/512x512/apps/calligraplan.png
%_kf5_iconsdir/hicolor/64x64/apps/calligraplan.png
%_kf5_iconsdir/hicolor/64x64/apps/calligraplanwork.png
%_kf5_iconsdir/hicolor/64x64/mimetypes/application-x-vnd.kde.plan.png
%_kf5_iconsdir/hicolor/64x64/mimetypes/application-x-vnd.kde.plan.work.png
%_kf5_iconsdir/hicolor/scalable/apps/calligraplan.svgz
%_kf5_iconsdir/hicolor/scalable/apps/calligraplanwork.svgz
%_kf5_iconsdir/hicolor/scalable/mimetypes/application-x-vnd.kde.plan.svgz
%_kf5_iconsdir/hicolor/scalable/mimetypes/application-x-vnd.kde.plan.work.svgz
%_kf5_datadir/kxmlgui5/calligraplan/calligraplan.rc
%_kf5_datadir/kxmlgui5/calligraplan/calligraplan_readonly.rc
%_kf5_datadir/kxmlgui5/calligraplanwork/calligraplanwork.rc
%_kf5_datadir/kxmlgui5/calligraplanwork/calligraplanwork_readonly.rc
%_kf5_datadir/kxmlgui5/calligraplanwork/calligraplanworkui.rc

#--------------------------------------------------------------------

%package        sheets
Summary:        SpreadSheet for calligra
Group:          Office/Spreadsheet
URL:            http://www.calligra.org/sheets/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Provides:       %name-apps
Obsoletes:      koffice-kspread
Obsoletes:      koffice2-kspread
Obsoletes:      kspread
Conflicts:      kword < 11:2.1.91-2
Obsoletes:      tables < %{epoch}:%{version}-%{release}
Conflicts:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 

%description    sheets
Calligra Sheets is a fully-featured calculation and spreadsheet tool.
Use it to quickly create and calculate various business-related spreadsheets,
such as income and expenditure, employee working hours, etc.

%files sheets -f calligrasheets.lang
%_kf5_sysconfdir/xdg/calligrasheetsrc
%_kf5_bindir/calligrasheets
%_kf5_libdir/libkdeinit5_calligrasheets.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_kspread2tex.so
%_qt5_plugindir/calligra/deferred/calligra_shape_spreadsheet-deferred.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_applixspread2kspread.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_sheets2csv.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_sheets2gnumeric.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_sheets2html.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_sheets2opencalc.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_csv2sheets.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_dbase2kspread.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_gnumeric2sheets.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_kpr2odp.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_opencalc2sheets.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_qpro2sheets.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_xls2ods.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_xlsx2ods.so
%_qt5_plugindir/calligra/shapes/calligra_shape_spreadsheet.so
%_qt5_plugindir/calligra/parts/calligrasheetspart.so
%_qt5_plugindir/calligrasheets
%_kf5_datadir/calligrasheets
%_kf5_iconsdir/hicolor/*/apps/calligrasheets.*
%_kf5_appdatadir/org.kde.calligrasheets.appdata.xml
%_kf5_applicationsdir/org.kde.calligrasheets.desktop
%_kf5_datadir/config.kcfg/calligrasheets.kcfg
%_kf5_services/ServiceMenus/calligra/sheets_print.desktop
%_kf5_services/sheets_excel_thumbnail.desktop
%_kf5_services/sheets_ods_thumbnail.desktop
%_kf5_services/sheets_xlsx_thumbnail.desktop
%_kf5_datadir/kxmlgui5/calligrasheets/calligrasheets.rc
%_kf5_datadir/kxmlgui5/calligrasheets/calligrasheets_readonly.rc
%_kf5_datadir/templates/SpreadSheet.desktop
%_kf5_datadir/templates/.source/SpreadSheet.ods

#------------------------------------------------------------------------------

%package        sheets-handbook
Summary:        Sheets Handbook
Group:          Documentation
BuildArch:      noarch

%description    sheets-handbook
This package provides Sheets Handbook.

%files sheets-handbook

#------------------------------------------------------------------------------

%package        stage
Summary:        Presentation for calligra-suite
Group:          Office/Utilities
URL:            http://www.calligra.org/stage/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Requires:       xdg-utils
Provides:       %name-apps
Obsoletes:      koffice-kpresenter
Obsoletes:      koffice2-kpresenter
Obsoletes:      kpresenter
Obsoletes:      stage < %{epoch}:%{version}-%{release}
Conflicts:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 

%description    stage
Calligra Stage is an easy to use yet still flexible presentation
application. You can easily create presentations containing a rich
variety of elements, from graphics to text, from charts to images.
Stage is extensible through a plugin system, so it is easy to add new effects,
new content elements or even new ways of managing your presentation. Because of
the integration with Calligra, all the power and flexibility of the Calligra
content elements are available to Stage.

%files stage -f calligrastage.lang
%_kf5_sysconfdir/xdg/calligrastagerc
%_kf5_datadir/calligrastage
%_qt5_plugindir/calligra/parts/calligrastagepart.so
%_qt5_plugindir/calligra/presentationeventactions/calligrastageeventactions.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_eps2svgai.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_pdf2svg.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_ppt2odp.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_pptx2odp.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_wmf2svg.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_xfig2odg.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_key2odp.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_vsdx2odg.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_wpd2odt.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_wpg2odg.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_wpg2svg.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_wps2odt.so
%_qt5_plugindir/calligrastage
%_qt5_plugindir/okular/generators/okularGenerator_odp_calligra.so
%_qt5_plugindir/okular/generators/okularGenerator_powerpoint_calligra.so
%_qt5_plugindir/okular/generators/okularGenerator_pptx_calligra.so
%_qt5_plugindir/okular/generators/okularGenerator_wpd_calligra.so
%_kf5_datadir/applications/okularApplication_odp_calligra.desktop
%_kf5_datadir/applications/okularApplication_powerpoint_calligra.desktop
%_kf5_datadir/applications/okularApplication_pptx_calligra.desktop
%_kf5_datadir/applications/okularApplication_wpd_calligra.desktop
%_kf5_datadir/kservices5/calligra_odg_thumbnail.desktop
%_kf5_datadir/kservices5/okularPowerpoint_calligra.desktop
%_kf5_datadir/kservices5/flow_vsdx_thumbnail.desktop
%_kf5_datadir/kservices5/flow_wpg_thumbnail.desktop
%_kf5_datadir/kservices5/karbon_wpg_thumbnail.desktop
%_kf5_datadir/kservices5/okularWpd_calligra.desktop
%_kf5_datadir/kservices5/stage_key_thumbnail.desktop
%_kf5_datadir/kservices5/okularPptx_calligra.desktop
%_kf5_iconsdir/hicolor/1024x1024/apps/calligrastage.png
%_kf5_iconsdir/hicolor/128x128/apps/calligrastage.png
%_kf5_iconsdir/hicolor/16x16/apps/calligrastage.png
%_kf5_iconsdir/hicolor/22x22/apps/calligrastage.png
%_kf5_iconsdir/hicolor/256x256/apps/calligrastage.png
%_kf5_iconsdir/hicolor/32x32/apps/calligrastage.png
%_kf5_iconsdir/hicolor/48x48/apps/calligrastage.png
%_kf5_iconsdir/hicolor/512x512/apps/calligrastage.png
%_kf5_iconsdir/hicolor/64x64/apps/calligrastage.png
%_kf5_iconsdir/hicolor/scalable/apps/calligrastage.svgz
%_kf5_services/stage_kpr_thumbnail.desktop
%_kf5_services/stage_odp_thumbnail.desktop
%_kf5_services/stage_powerpoint_thumbnail.desktop
%_kf5_services/stage_pptx_thumbnail.desktop
%_kf5_datadir/kxmlgui5/calligrastage/calligrastage.rc
%_kf5_datadir/kxmlgui5/calligrastage/calligrastage_readonly.rc

%_kf5_datadir/templates/.source/Illustration.odg
%_kf5_datadir/templates/Illustration.desktop

#--------------------------------------------------------------------

%package -n     karbon
Summary:        Scalable drawing for calligra
Group:          Graphics/Editors and Converters
URL:            http://www.calligra.org/karbon/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Requires:       pstoedit
Provides:       %name-apps
Obsoletes:      koffice-karbon
Obsoletes:      koffice2-karbon
Conflicts:      oxygen-icon-theme < 1:4.4.2-2
Conflicts:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 

%description -n karbon
Karbon is a vector drawing application with an user interface that is easy to
use, highly customizable and extensible.
That makes Karbon a great application for users starting to explore the world of
vector graphics as well as for artists wanting to create breathtaking vector
art.

%files -n karbon -f karbon.lang
%_kf5_sysconfdir/xdg/calligra_stencils.knsrc
%_kf5_sysconfdir/xdg/karbonrc
%_kf5_bindir/karbon
%_kf5_datadir/calligra/stencils
%_kf5_libdir/libkdeinit5_karbon.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_karbon1x2karbon.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_karbon2image.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_karbon2svg.so
%_qt5_plugindir/calligra/formatfilters/calligra_filter_karbon2wmf.so
%_kf5_datadir/color/icc/calligra
%_qt5_plugindir/calligra/formatfilters/calligra_filter_svg2karbon.so
%_qt5_plugindir/calligra/parts/karbonpart.so
%_qt5_plugindir/calligra/tools/karbon_tools.so
%_qt5_plugindir/karbon/extensions/karbon_flattenpath.so
%_qt5_plugindir/karbon/extensions/karbon_refinepath.so
%_qt5_plugindir/karbon/extensions/karbon_roundcorners.so
%_qt5_plugindir/karbon/extensions/karbon_whirlpinch.so
%_kf5_appdatadir/org.kde.karbon.appdata.xml
%_kf5_applicationsdir/org.kde.karbon.desktop
%_kf5_iconsdir/hicolor/1024x1024/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/128x128/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/16x16/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/22x22/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/256x256/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/32x32/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/48x48/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/512x512/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/64x64/apps/calligrakarbon.png
%_kf5_iconsdir/hicolor/scalable/apps/calligrakarbon.svgz
%_kf5_services/ServiceMenus/calligra/karbon_print.desktop
%_kf5_services/karbon_karbon1x_thumbnail.desktop
%_kf5_services/karbon_wmf_thumbnail.desktop
%_kf5_services/karbon_xfig_thumbnail.desktop
%_kf5_datadir/kxmlgui5/karbon/karbon.rc
%_kf5_datadir/kxmlgui5/karbon/karbon_readonly.rc
%_kf5_datadir/karbon

#--------------------------------------------------------------------
%if 0
%package -n     kformula
Summary:        Formula Editor for calligra
Group:          Office/Utilities
Requires:       %name-core = %{epoch}:%{version}-%{release}

%description -n kformula
Kformula is a formula editor for kde project.

%files -n kformula
%endif
#--------------------------------------------------------------------
%if 0
%package -n     flow
Summary:        Diagramming and flowcharting apps for calligra
Group:          Office/Management
URL:            http://www.calligra.org/flow/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Conflicts:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 

%description -n flow
Calligra Flow is an easy to use diagramming and flowcharting application with
tight integration to the other Calligra applications. It enables you to create
network diagrams, organisation charts, flowcharts and more. 

%files -n flow -f flow.lang
%endif

#--------------------------------------------------------------------
%if 0
%package        gemini
Summary:        Writing and Presenting at Home and on the Go
Group:          Office/Utilities
URL:            http://www.calligra.org/gemini/
Requires:       %name-core = %epoch:%version
Requires:       %name-words = %epoch:%version
Requires:       %name-stage = %epoch:%version
Provides:       %name-apps

%description    gemini
Writing and Presenting at Home and on the Go.

%files gemini
%endif
#--------------------------------------------------------------------
%if 0
%package -n     stateshape
Summary:        State Shape
Group:          Graphical desktop/KDE
Requires:       %name-core = %epoch:%version-%release

%description -n stateshape
Calligra State Shape.

%files -n stateshape
%endif
#--------------------------------------------------------------------
%if 0
%package -n     webshape
Summary:        Calligra Web Shape
Group:          Graphical desktop/KDE
Requires:       %name-core = %epoch:%version-%release

%description -n webshape
Calligra Web Shape.

%files -n webshape
%endif
#--------------------------------------------------------------------
%if 0
%package -n     braindump
Summary:        Storing your ideas
Group:          Office/Utilities
Requires:       %name-core = %epoch:%version-%release
Recommends:     %{name}-stateshape = %epoch:%version-%release
Recommends:     %{name}-webshape = %epoch:%version-%release
Conflicts:      calligra-l10n < %version calligra-l10n-bs < %version calligra-l10n-ca < %version calligra-l10n-cs < %version calligra-l10n-da < %version calligra-l10n-de < %version calligra-l10n-el < %version calligra-l10n-en_GB < %version calligra-l10n-en_US < %version calligra-l10n-es < %version calligra-l10n-et < %version calligra-l10n-fi < %version calligra-l10n-fr < %version calligra-l10n-gl < %version calligra-l10n-hu < %version calligra-l10n-it < %version calligra-l10n-ja < %version calligra-l10n-kk < %version calligra-l10n-nb < %version calligra-l10n-nl < %version calligra-l10n-pl < %version calligra-l10n-pt < %version calligra-l10n-pt_BR < %version calligra-l10n-ru < %version calligra-l10n-sk < %version calligra-l10n-sv < %version calligra-l10n-tr < %version calligra-l10n-uk < %version calligra-l10n-zh_CN < %version calligra-l10n-zh_TW < %version 

%description -n braindump
Braindump is a tool to dump and organize the content of your brain
(ideas, drawings, images, texts) to your computer.

%files -n braindump -f braindump.lang
%endif
#--------------------------------------------------------------------
%if 0
%package        active
Summary:        A document viewer for touch based tablets
Group:          Office/Utilities
Requires:       %{name}-words = %epoch:%version-%release
Requires:       %{name}-sheets = %epoch:%version-%release
Requires:       %{name}-stage = %epoch:%version-%release

%description    active
Calligra's QML UI.

%files active
%endif
#--------------------------------------------------------------------

%package -n     katelier
Summary:        Krita and karbon meta package
Group:          Graphical desktop/KDE
Requires:       karbon = %{epoch}:%{version}-%{release}
Requires:       krita3

%description -n katelier
Krita and karbon meta package.

%files -n katelier

#--------------------------------------------------------------------

%define libflake_major 15
%define libflake %mklibname flake %libflake_major

%package -n     %libflake
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libflake
Calligra core library.
Flake is the object library for Calligra. It provides a basic concept of a
'shape' which can be a square, circle or any other form. The shape can contain
any sort of media because it is responsible for painting itself. This means that
Words can provide a textShape which has text flowing inside.

%files -n %libflake
%_kf5_libdir/libflake.so.%{libflake_major}*

#--------------------------------------------------------------------

%define  karboncommon_major 15
%define  libkarboncommon %mklibname karboncommon  %karboncommon_major

%package -n     %libkarboncommon
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkarboncommon
Calligra core library.

%files -n %libkarboncommon
%_kf5_libdir/libkarboncommon.so.%{karboncommon_major}*

#--------------------------------------------------------------------

%define wordsprivate_major 15
%define libwordsprivate %mklibname wordsprivate %wordsprivate_major

%package -n     %libwordsprivate
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libwordsprivate
Calligra core library.

%files -n %libwordsprivate
%_kf5_libdir/libwordsprivate.so.%{wordsprivate_major}*

#--------------------------------------------------------------------

%define kplatoworkfactory_major 15
%define libplanworkfactory %mklibname kplatoworkfactory %kplatoworkfactory_major

%package -n     %libplanworkfactory
Summary:        Calligra core library
Group:          System/Libraries
Obsoletes:      %{_lib}kplatoworkapp8 < %epoch:%version-%release

%description -n %libplanworkfactory
Calligra core library.

%files -n %libplanworkfactory
%_kf5_libdir/libplanworkfactory.so.%{kplatoworkfactory_major}*

#--------------------------------------------------------------------

%define planprivate_major 15
%define libplanprivate %mklibname planprivate %planprivate_major

%package -n     %libplanprivate
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libplanprivate
Calligra core library.

%files -n %libplanprivate
%_kf5_libdir/libplanprivate.so.%{planprivate_major}*

#--------------------------------------------------------------------

%define libpigmentcms_major 15
%define libpigmentcms %mklibname pigmentcms %libpigmentcms_major

%package -n     %libpigmentcms
Summary:        Calligra core library
Group:          System/Libraries
Obsoletes:      %{_lib}libpigmentpigment1 < 1:1.9.95.3-0.766453.1
Obsoletes:      %{_lib}libpigmentcms1 < 1:1.9.95.3-0.766453.1
Obsoletes:      %{_lib}libpigmentcms1 < 1:1.9.95.3-0.766453.1

%description -n %libpigmentcms
Calligra core library.
Pigment is the Color Manipulation System library for Calligra, this include but
it is not limited to full color management. Originating from Krita it provides a
generic KoColor class wich represents the notion of a color. The same color can
often be specified in different colorspaces. Some colors however can only be
specified in some colorspaces. 

%files -n %libpigmentcms
%_kf5_libdir/libpigmentcms.so.%{libpigmentcms_major}*

#--------------------------------------------------------------------

%define kundo2_major 15
%define libkundo2 %mklibname kundo2_ %kundo2_major

%package -n     %libkundo2
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkundo2
Calligra core library.

%files -n %libkundo2
%_kf5_libdir/libkundo2.so.%{kundo2_major}*

#--------------------------------------------------------------------

%define kplatoui_major 15
%define libkplatoui %mklibname kplatoui %kplatoui_major

%package -n     %libkplatoui
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkplatoui
Calligra core library.

%files -n %libkplatoui
%_kf5_libdir/libkplatoui.so.%{kplatoui_major}*

#--------------------------------------------------------------------

%define kplatomodels_major 15
%define libkplatomodels %mklibname kplatomodels %kplatomodels_major

%package -n     %libkplatomodels
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkplatomodels
Calligra core library.

%files -n %libkplatomodels
%_kf5_libdir/libkplatomodels.so.%{kplatomodels_major}*

#-------------------------------------------------------------------

%define  kplatokernel_major 15
%define  libkplatokernel %mklibname kplatokernel %kplatokernel_major

%package -n     %libkplatokernel
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkplatokernel
Calligra core library.

%files -n %libkplatokernel
%_kf5_libdir/libkplatokernel.so.%{kplatokernel_major}*

#-------------------------------------------------------------------- 

%define libkowv2_major 9
%define libkowv2 %mklibname kowv2_ %libkowv2_major

%package -n     %libkowv2
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkowv2
Calligra core library.

%files -n %libkowv2
%_kf5_libdir/libkowv2.so.%{libkowv2_major}*

#--------------------------------------------------------------------

%define libkowidgetutils_major 15
%define libkowidgetutils %mklibname kowidgetutils %libkowidgetutils_major

%package -n     %libkowidgetutils
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkowidgetutils
Calligra core library.

%files -n %libkowidgetutils
%_kf5_libdir/libkowidgetutils.so.%{libkowidgetutils_major}*

#--------------------------------------------------------------------

%define  libkowidgets_major 15
%define  libkowidgets %mklibname kowidgets  %libkowidgets_major
#
%package -n     %libkowidgets
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkowidgets
Calligra core library.

%files -n %libkowidgets
%_kf5_libdir/libkowidgets.so.%{libkowidgets_major}*

#--------------------------------------------------------------------

%define libkoversion_major 15
%define libkoversion %mklibname koversion %libkoversion_major

%package -n     %libkoversion
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkoversion
Calligra core library.

%files -n %libkoversion
%_kf5_libdir/libkoversion.so.%{libkoversion_major}*

#--------------------------------------------------------------------

%define libkovectorimage_major 15
%define libkovectorimage %mklibname kovectorimage %libkovectorimage_major

%package -n     %libkovectorimage
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkovectorimage
Calligra core library.

%files -n %libkovectorimage
%_kf5_libdir/libkovectorimage.so.%{libkovectorimage_major}*

#--------------------------------------------------------------------

%define libkotextlayout_major 15
%define libkotextlayout %mklibname kotextlayout %libkotextlayout_major

%package -n     %libkotextlayout
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkotextlayout
Calligra core library.

%files -n %libkotextlayout
%_kf5_libdir/libkotextlayout.so.%{libkotextlayout_major}*

#--------------------------------------------------------------------

%define  libkoplugin_major 15
%define  libkoplugin %mklibname koplugin  %libkoplugin_major

%package -n     %libkoplugin
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkoplugin
Calligra core library.

%files -n %libkoplugin
%_kf5_libdir/libkoplugin.so.%{libkoplugin_major}*

#--------------------------------------------------------------------

%define libkopageapp_major 15
%define libkopageapp %mklibname kopageapp %libkopageapp_major

%package -n     %libkopageapp
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkopageapp
Calligra core library.

%files -n %libkopageapp
%_kf5_libdir/libkopageapp.so.%{libkopageapp_major}*

#--------------------------------------------------------------------

%define libkotext_major 15
%define libkotext %mklibname kotext %libkotext_major

%package -n     %libkotext
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkotext
Calligra core library.
KoText is the library that offers rich text layout and OpenDocument Format
loading/saving.

%files -n %libkotext
%_kf5_libdir/libkotext.so.%{libkotext_major}*

#--------------------------------------------------------------------

%define libkostore_major 15
%define libkostore %mklibname kostore %libkostore_major

%package -n     %libkostore
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkostore
Calligra core library.

%files -n %libkostore
%_kf5_libdir/libkostore.so.%{libkostore_major}*

#--------------------------------------------------------------------

%define libkookularGenerator_odt_major 15
%define libkookularGenerator_odt %mklibname kookulargenerator_odt %libkookularGenerator_odt_major

%package -n     %libkookularGenerator_odt
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkookularGenerator_odt
Calligra core library.

%files -n %libkookularGenerator_odt
%_kf5_libdir/libkookularGenerator_odt.so.%{libkookularGenerator_odt_major}*

#--------------------------------------------------------------------

%define libkookularGenerator_odp_major 15
%define libkookularGenerator_odp %mklibname kookularGenerator_odp %libkookularGenerator_odp_major

%package -n     %libkookularGenerator_odp
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkookularGenerator_odp
Calligra core library.

%files -n %libkookularGenerator_odp
%_kf5_libdir/libkookularGenerator_odp.so.%{libkookularGenerator_odp_major}*

#--------------------------------------------------------------------

%define libkoodfreader_major 15
%define libkoodfreader %mklibname koodfreader %libkoodfreader_major

%package -n     %libkoodfreader
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkoodfreader
Calligra core library.

%files -n %libkoodfreader
%_kf5_libdir/libkoodfreader.so.%{libkoodfreader_major}*

#--------------------------------------------------------------------

%define libkoodf2_major 15
%define libkoodf2 %mklibname koodf2_ %libkoodf2_major

%package -n     %libkoodf2
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkoodf2
Calligra core library.

%files -n %libkoodf2
%_kf5_libdir/libkoodf2.so.%{libkoodf2_major}*

#--------------------------------------------------------------------

%define libkoodf_major 15
%define libkoodf %mklibname koodf %libkoodf_major

%package -n     %libkoodf
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkoodf
Calligra core library.

%files -n %libkoodf
%_kf5_libdir/libkoodf.so.%{libkoodf_major}*

#--------------------------------------------------------------------

%define libkomsooxml_major 15
%define libkomsooxml %mklibname komsooxml %libkomsooxml_major

%package -n     %libkomsooxml
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkomsooxml
Calligra core library.

%files -n %libkomsooxml
%_kf5_libdir/libkomsooxml.so.%{libkomsooxml_major}*

#--------------------------------------------------------------------

%define libkomain_major 15
%define libkomain %mklibname komain %libkomain_major

%package -n     %libkomain
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkomain
Calligra core library.

%files -n %libkomain
%_kf5_libdir/libkomain.so.%{libkomain_major}*

#--------------------------------------------------------------------

%define libkoformula_major 15
%define libkoformula %mklibname koformula %libkoformula_major

%package -n     %libkoformula
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkoformula
Calligra core library.

%files -n %libkoformula
%_kf5_libdir/libkoformula.so.%{libkoformula_major}*

#--------------------------------------------------------------------

%define libkarbonui_major 15
%define libkarbonui %mklibname karbonui %libkarbonui_major

%package -n     %libkarbonui
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libkarbonui
Calligra core library.

%files -n %libkarbonui
%_kf5_libdir/libkarbonui.so.%{libkarbonui_major}*

#--------------------------------------------------------------------

%define libcalligrastageprivate_major 15
%define libcalligrastageprivate %mklibname calligrastageprivate %libcalligrastageprivate_major

%package -n     %libcalligrastageprivate
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libcalligrastageprivate
Calligra core library.

%files -n %libcalligrastageprivate
%_kf5_libdir/libcalligrastageprivate.so.%{libcalligrastageprivate_major}*

#--------------------------------------------------------------------

%define libcalligrasheetsodf_major 15
%define libcalligrasheetsodf %mklibname calligrasheetsodf %libcalligrasheetsodf_major

%package -n     %libcalligrasheetsodf
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libcalligrasheetsodf
Calligra core library.

%files -n %libcalligrasheetsodf
%_kf5_libdir/libcalligrasheetsodf.so.%{libcalligrasheetsodf_major}*

#--------------------------------------------------------------------

%define libcalligrasheetscommon_major 15
%define libcalligrasheetscommon %mklibname calligrasheetscommon %libcalligrasheetscommon_major

%package -n     %libcalligrasheetscommon
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libcalligrasheetscommon
Calligra core library.

%files -n %libcalligrasheetscommon
%_kf5_libdir/libcalligrasheetscommon.so.%{libcalligrasheetscommon_major}*

#--------------------------------------------------------------------

%define libbasicflakes_major 15
%define libbasicflakes %mklibname basicflakes %libbasicflakes_major

%package -n     %libbasicflakes
Summary:        Calligra core library
Group:          System/Libraries

%description -n %libbasicflakes
Calligra core library.

%files -n %libbasicflakes
%_kf5_libdir/libbasicflakes.so.%{libbasicflakes_major}*

#--------------------------------------------------------------------

%define librtfreader_major 15
%define librtfreader %mklibname rtfreader %librtfreader_major

%package -n     %librtfreader
Summary:        Calligra core library
Group:          System/Libraries

%description -n %librtfreader
Calligra core library.

%files -n %librtfreader
%_kf5_libdir/libRtfReader.so.%{librtfreader_major}*

#--------------------------------------------------------------------

%package        devel
Group:          Development/KDE and Qt
Summary:        Header files for developing calligra applications
Requires:       %name-core = %{epoch}:%{version}-%{release}
Provides:       %name-devel = %{epoch}:%{version}-%{release}
Conflicts:      karbon < 11:1.9.95.8-3
Conflicts:      kivio < 11:1.9.95.8-3
Conflicts:      kplato < 11:1.9.95.8-3
Conflicts:      kpresenter < 11:1.9.95.8-3
Conflicts:      kspread < 11:1.9.95.8-3
Conflicts:      koffice-core < 11:1.9.98.5-3
Conflicts:      kword < 11:1.9.95.8-3
Obsoletes:      koffice2-devel
Obsoletes:      koffice-devel

Requires:       %libflake = %{epoch}:%{version}-%{release}
Requires:       %libkarboncommon = %{epoch}:%{version}-%{release}
Requires:       %libwordsprivate = %{epoch}:%{version}-%{release}
Requires:       %libplanworkfactory = %{epoch}:%{version}-%{release}
Requires:       %libplanprivate = %{epoch}:%{version}-%{release}
Requires:       %libpigmentcms = %{epoch}:%{version}-%{release}
Requires:       %libkundo2 = %{epoch}:%{version}-%{release}
Requires:       %libkplatoui = %{epoch}:%{version}-%{release}
Requires:       %libkplatomodels = %{epoch}:%{version}-%{release}
Requires:       %libkplatokernel = %{epoch}:%{version}-%{release}
Requires:       %libkowv2 = %{epoch}:%{version}-%{release}
Requires:       %libkowidgetutils = %{epoch}:%{version}-%{release}
Requires:       %libkowidgets = %{epoch}:%{version}-%{release}
Requires:       %libkoversion = %{epoch}:%{version}-%{release}
Requires:       %libkovectorimage = %{epoch}:%{version}-%{release}
Requires:       %libkotextlayout = %{epoch}:%{version}-%{release}
Requires:       %libkoplugin = %{epoch}:%{version}-%{release}
Requires:       %libkopageapp = %{epoch}:%{version}-%{release}
Requires:       %libkotext = %{epoch}:%{version}-%{release}
Requires:       %libkostore = %{epoch}:%{version}-%{release}
Requires:       %libkookularGenerator_odt = %{epoch}:%{version}-%{release}
Requires:       %libkookularGenerator_odp = %{epoch}:%{version}-%{release}
Requires:       %libkoodfreader = %{epoch}:%{version}-%{release}
Requires:       %libkoodf2 = %{epoch}:%{version}-%{release}
Requires:       %libkoodf = %{epoch}:%{version}-%{release}
Requires:       %libkomsooxml = %{epoch}:%{version}-%{release}
Requires:       %libkomain = %{epoch}:%{version}-%{release}
Requires:       %libkoformula = %{epoch}:%{version}-%{release}
Requires:       %libkarbonui = %{epoch}:%{version}-%{release}
Requires:       %libcalligrastageprivate = %{epoch}:%{version}-%{release}
Requires:       %libcalligrasheetsodf = %{epoch}:%{version}-%{release}
Requires:       %libcalligrasheetscommon = %{epoch}:%{version}-%{release}
Requires:       %libbasicflakes = %{epoch}:%{version}-%{release}
Requires:       %librtfreader = %{epoch}:%{version}-%{release}

%description    devel
Header files needed for developing calligra applications.

%files devel
%_kf5_libdir/libflake.so
%_kf5_libdir/libkarboncommon.so
%_kf5_libdir/libwordsprivate.so
%_kf5_libdir/libplanworkfactory.so
%_kf5_libdir/libplanprivate.so
%_kf5_libdir/libpigmentcms.so
%_kf5_libdir/libkundo2.so
%_kf5_libdir/libkplatoui.so
%_kf5_libdir/libkplatomodels.so
%_kf5_libdir/libkplatokernel.so
%_kf5_libdir/libkowv2.so
%_kf5_libdir/libkowidgetutils.so
%_kf5_libdir/libkowidgets.so
%_kf5_libdir/libkoversion.so
%_kf5_libdir/libkovectorimage.so
%_kf5_libdir/libkotextlayout.so
%_kf5_libdir/libkoplugin.so
%_kf5_libdir/libkopageapp.so
%_kf5_libdir/libkotext.so
%_kf5_libdir/libkostore.so
%_kf5_libdir/libkookularGenerator_odt.so
%_kf5_libdir/libkookularGenerator_odp.so
%_kf5_libdir/libkoodfreader.so
%_kf5_libdir/libkoodf2.so
%_kf5_libdir/libkoodf.so
%_kf5_libdir/libkomsooxml.so
%_kf5_libdir/libkomain.so
%_kf5_libdir/libkoformula.so
%_kf5_libdir/libkarbonui.so
%_kf5_libdir/libcalligrastageprivate.so
%_kf5_libdir/libcalligrasheetsodf.so
%_kf5_libdir/libcalligrasheetscommon.so
%_kf5_libdir/libbasicflakes.so
%_kf5_libdir/libRtfReader.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5 -DPACKAGERS_BUILD=ON
%make_build

%install
%make_install -C build

# remove as it should be in krita package
find %buildroot -name "krita.mo" | xargs rm -fv
find %buildroot -name "org.kde.krita.appdata.mo" | xargs rm -fv
find %buildroot -name "desktop_calligra_krita.mo" | xargs rm -fv
# remove as it should be in kexi package
find %buildroot -name "kexi.mo" | xargs rm -fv
find %buildroot -name "kexiforms_mapwidgetplugin.mo" | xargs rm -fv
find %buildroot -name "kexiforms_webbrowserwidgetplugin.mo" | xargs rm -fv
find %buildroot -name "keximigrate_spreadsheet.mo" | xargs rm -fv
find %buildroot -name "org.kde.kexi.appdata.mo" | xargs rm -fv
find %buildroot -name "json_calligra_kexi.mo" | xargs rm -fv
find %buildroot -name "keximigrate_mdb.mo" | xargs rm -fv
find %buildroot -name "org.kde.kexi.appdata.mo" | xargs rm -fv
find %buildroot -name "desktop_calligra_kexi.mo" | xargs rm -fv
# NOTE: reenable if/when again available
find %buildroot -name "braindump.mo" | xargs rm -fv
find %buildroot -name "flow.mo" | xargs rm -fv
find %buildroot -name "org.kde.braindump.appdata.mo" | xargs rm -fv
find %buildroot -name "org.kde.calligraflow.appdata.mo" | xargs rm -fv

%find_lang calligra
%find_lang karbon
%find_lang calligrawords
%find_lang calligraplan
%find_lang calligrastage
%find_lang KarbonFilterEffects
cat KarbonFilterEffects.lang >> karbon.lang
%find_lang KarbonTools
cat KarbonTools.lang >> karbon.lang
%find_lang calligra-defaulttools
cat calligra-defaulttools.lang >> calligra.lang
%find_lang calligra-dockers
cat calligra-dockers.lang >> calligra.lang
%find_lang calligra-opener
cat calligra-opener.lang >> calligra.lang
%find_lang calligra_semanticitem_contact
cat calligra_semanticitem_contact.lang >> calligra.lang
%find_lang calligra_semanticitem_event
cat calligra_semanticitem_event.lang >> calligra.lang
%find_lang calligra_semanticitem_location
cat calligra_semanticitem_location.lang >> calligra.lang
%find_lang calligra_shape_artistictext
cat calligra_shape_artistictext.lang >> calligra.lang
%find_lang calligra_shape_chart
cat calligra_shape_chart.lang >> calligra.lang
%find_lang calligra_shape_comment
cat calligra_shape_comment.lang >> calligra.lang
%find_lang calligra_shape_formula
cat calligra_shape_formula.lang >> calligra.lang
%find_lang calligra_shape_music
cat calligra_shape_music.lang >> calligra.lang
%find_lang calligra_shape_paths
cat calligra_shape_paths.lang >> calligra.lang
%find_lang calligra_shape_picture
cat calligra_shape_picture.lang >> calligra.lang
%find_lang calligra_shape_plugin
cat calligra_shape_plugin.lang >> calligra.lang
%find_lang calligra_shape_spreadsheet
cat calligra_shape_spreadsheet.lang >> calligra.lang
%find_lang calligra_shape_template
cat calligra_shape_template.lang >> calligra.lang
%find_lang calligra_shape_text
cat calligra_shape_text.lang >> calligra.lang
%find_lang calligra_shape_threed
cat calligra_shape_threed.lang >> calligra.lang
%find_lang calligra_shape_vector
cat calligra_shape_vector.lang >> calligra.lang
%find_lang calligra_shape_video
cat calligra_shape_video.lang >> calligra.lang
%find_lang calligra_textediting_autocorrect
cat calligra_textediting_autocorrect.lang >> calligra.lang
%find_lang calligra_textediting_changecase
cat calligra_textediting_changecase.lang >> calligra.lang
%find_lang calligra_textediting_spellcheck
cat calligra_textediting_spellcheck.lang >> calligra.lang
%find_lang calligra_textediting_thesaurus
cat calligra_textediting_thesaurus.lang >> calligra.lang
%find_lang calligra_textinlineobject_variables
cat calligra_textinlineobject_variables.lang >> calligra.lang
%find_lang calligrafilters
cat calligrafilters.lang  >> calligrawords.lang
%find_lang calligraplan_scheduler_rcps
cat calligraplan_scheduler_rcps.lang  >> calligraplan.lang
%find_lang calligraplan_scheduler_tj
cat calligraplan_scheduler_tj.lang  >> calligraplan.lang
%find_lang calligraplanlibs
cat calligraplanlibs.lang  >> calligraplan.lang
%find_lang calligraplanwork
cat calligraplanwork.lang  >> calligraplan.lang
%find_lang calligrasheets
%find_lang calligrasheets_calendar
cat calligrasheets_calendar.lang  >> calligrasheets.lang
%find_lang calligrasheets_solver
cat calligrasheets_solver.lang >> calligrasheets.lang
%find_lang desktop_calligra_calligra
cat desktop_calligra_calligra.lang >> calligra.lang
%find_lang json_calligra_calligra
cat json_calligra_calligra.lang >> calligra.lang
%find_lang kocolorspaces
cat kocolorspaces.lang >> calligra.lang
%find_lang koconverter
cat koconverter.lang >> calligra.lang
%find_lang krossmoduleplan
cat krossmoduleplan.lang >> calligraplan.lang
%find_lang krossmodulesheets
cat krossmodulesheets.lang >> calligrasheets.lang
%find_lang krossmodulewords
cat krossmodulewords.lang >> calligrawords.lang
%find_lang okularGenerator_odp
cat okularGenerator_odp.lang >> calligrawords.lang
%find_lang okularGenerator_odt
cat okularGenerator_odt.lang >> calligrawords.lang
%find_lang org.kde.calligraplan.appdata
cat org.kde.calligraplan.appdata.lang >> calligraplan.lang
%find_lang org.kde.calligrasheets.appdata
cat org.kde.calligrasheets.appdata.lang >> calligrasheets.lang
%find_lang org.kde.calligrastage.appdata
cat org.kde.calligrastage.appdata.lang >> calligrastage.lang
%find_lang org.kde.calligrawords.appdata
cat org.kde.calligrawords.appdata.lang >> calligrawords.lang
%find_lang org.kde.karbon.appdata
cat org.kde.karbon.appdata.lang >> karbon.lang
# NOTE: reenable if/when again available
#%%find_lang braindump
#%%find_lang flow
#%%find_lang org.kde.braindump.appdata
#cat org.kde.braindump.appdata.lang >> braindump.lang
#%%find_lang org.kde.calligraflow.appdata
#cat org.kde.calligraflow.appdata.lang >> flow.lang


%changelog
* Sun Feb 05 2017 neoclust <neoclust> 12:3.0.0.1-5.mga6
+ Revision: 1084882
- Enable back debuginfo packages

* Thu Feb 02 2017 pterjan <pterjan> 12:3.0.0.1-4.mga6
+ Revision: 1084620
- Exclude armv5tl

* Tue Jan 31 2017 tv <tv> 12:3.0.0.1-3.mga6
+ Revision: 1084357
- fix upgrade from mga5 (mga#20202)

* Tue Jan 31 2017 barjac <barjac> 12:3.0.0.1-2.mga6
+ Revision: 1084312
- Rebuild for eigen3

* Sun Jan 08 2017 neoclust <neoclust> 12:3.0.0.1-1.mga6
+ Revision: 1080731
- New version 3.0.0.1

* Mon Jan 02 2017 luigiwalser <luigiwalser> 12:3.0.0-7.mga6
+ Revision: 1079505
- rebuild for poppler

  + daviddavid <daviddavid>
    - obsoletes also kchart

* Sat Dec 24 2016 daviddavid <daviddavid> 12:3.0.0-6.mga6
+ Revision: 1077055
- do not enable Vc support on ARM

* Sat Dec 24 2016 daviddavid <daviddavid> 12:3.0.0-5.mga6
+ Revision: 1077015
- move non development library files from devel subpackage
- remove translation files that should be in krita and kexi packages
- remove all kexi-xxx subpackages, now provided from separate kexi package
- enable Vc support
- obsoletes some packages no more available for now

  + neoclust <neoclust>
    - Remove empty kchart rpm

* Fri Dec 23 2016 neoclust <neoclust> 12:3.0.0-4.mga6
+ Revision: 1076600
- Do not package krita.mo

* Thu Dec 22 2016 neoclust <neoclust> 12:3.0.0-3.mga6
+ Revision: 1076412
- Enable wps
- Add some buildrequires to enable functions

* Thu Dec 22 2016 neoclust <neoclust> 12:3.0.0-1.mga6
+ Revision: 1076374
- New version 3.0.0

* Mon Nov 28 2016 luigiwalser <luigiwalser> 12:2.9.11-8.mga6
+ Revision: 1070609
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 12:2.9.11-7.mga6
+ Revision: 1046170
- test rebuild for poppler

* Tue Jul 12 2016 pterjan <pterjan> 12:2.9.11-6.mga6
+ Revision: 1041212
- Do not require vc on architectures where it does not exist

* Tue May 31 2016 animtim <animtim> 12:2.9.11-5.mga6
+ Revision: 1019632
- add conflicts krita3

* Wed May 25 2016 luigiwalser <luigiwalser> 12:2.9.11-4.mga6
+ Revision: 1018535
- rebuild for poppler

* Sat May 14 2016 daviddavid <daviddavid> 12:2.9.11-3.mga6
+ Revision: 1015553
- rebuild for new icu

* Mon May 09 2016 luigiwalser <luigiwalser> 12:2.9.11-2.mga6
+ Revision: 1011746
- rebuild for poppler

* Sun Feb 14 2016 daviddavid <daviddavid> 12:2.9.11-1.mga6
+ Revision: 960159
- new version: 2.9.11

* Sun Jan 03 2016 luigiwalser <luigiwalser> 12:2.9.10-6.mga6
+ Revision: 918999
- rebuild for gsl

* Fri Jan 01 2016 luigiwalser <luigiwalser> 12:2.9.10-5.mga6
+ Revision: 917820
- rebuild for icu

* Tue Dec 29 2015 daviddavid <daviddavid> 12:2.9.10-4.mga6
+ Revision: 916811
- add libkritacolord subpackage
- add patch to fix soname of libkritacolord library (from Rosa)
- rename liblibkritapsd to libkritapsd

* Mon Dec 28 2015 daviddavid <daviddavid> 12:2.9.10-3.mga6
+ Revision: 916362
- move libkritacolord.so file into the devel subpackage (fix dependencies issue)
- move Epoch below the point it's used in .spec

* Mon Dec 28 2015 fwang <fwang> 12:2.9.10-2.mga6
+ Revision: 916211
- rebuild for new boost

* Tue Dec 15 2015 fwang <fwang> 12:2.9.10-1.mga6
+ Revision: 910599
- 2.9.10

* Mon Nov 09 2015 fwang <fwang> 12:2.9.9-1.mga6
+ Revision: 899669
- 2.9.9
- rebuild for new boost

  + tv <tv>
    - rebuild for new boost

* Sun Sep 06 2015 fwang <fwang> 12:2.9.6-5.mga6
+ Revision: 873333
- rebuild for glew

  + sander85 <sander85>
    - Rebuild for exiv2 0.25

* Wed Aug 12 2015 fwang <fwang> 12:2.9.6-2.mga6
+ Revision: 863419
- comment out okular plugin
- we now have kf5

  + tv <tv>
    - rebuild for new poppler

* Mon Jul 13 2015 fwang <fwang> 12:2.9.6-1.mga6
+ Revision: 853517
- update file list
- update file list
- 2.9.6

* Mon Jul 06 2015 fwang <fwang> 12:2.9.5-2.mga6
+ Revision: 851792
- we currently have marble for kf5
- rebuild for new marble

* Tue Jun 30 2015 fwang <fwang> 12:2.9.5-1.mga6
+ Revision: 848263
- fix krita desktop file
- disable wps support as we currently have libwps-0.4
- add requires
- finally update file list
- add icons
- add gemini
- add filters
- add libs
- update file list
- update file list
- update file list
- br eigen3
- br engine3
- update file list
- new version 2.9.5

  + akien <akien>
    - Rebuild for GLEW 1.12

* Sat Dec 06 2014 lmenut <lmenut> 12:2.8.7-1.mga5
+ Revision: 801768
- Update to 2.8.7

* Wed Oct 15 2014 umeabot <umeabot> 12:2.8.6-2.mga5
+ Revision: 739743
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 12:2.8.6-1.mga5
+ Revision: 735012
- Update to 2.8.6
  update patch2 (Fedora)
  fix files list

  + umeabot <umeabot>
    - Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 12:2.8.5-6.mga5
+ Revision: 678298
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Sep 01 2014 luigiwalser <luigiwalser> 12:2.8.5-5.mga5
+ Revision: 670261
- rebuild for glew

* Tue Aug 26 2014 luigiwalser <luigiwalser> 12:2.8.5-4.mga5
+ Revision: 668375
- rebuild

* Tue Aug 05 2014 luigiwalser <luigiwalser> 12:2.8.5-3.mga5
+ Revision: 660061
- add patch from fedora to fix build with updated libwpg

* Sat Jul 26 2014 fwang <fwang> 12:2.8.5-2.mga5
+ Revision: 656572
- rebuild for new marble

* Tue Jul 08 2014 fwang <fwang> 12:2.8.5-1.mga5
+ Revision: 650597
- update file list
- 2.8.5

* Sat Jun 28 2014 wally <wally> 12:2.8.3-3.mga5
+ Revision: 640848
- fix getfem BR

* Thu Jun 05 2014 sander85 <sander85> 12:2.8.3-2.mga5
+ Revision: 633520
- mga#12008 - add missing requires for calligra-words (soprano-plugin-redland)

* Thu May 15 2014 fwang <fwang> 12:2.8.3-1.mga5
+ Revision: 622895
- 2.8.3

* Thu May 01 2014 luigiwalser <luigiwalser> 12:2.8.2-2.mga5
+ Revision: 619148
- rebuild for ilmbase

* Thu Apr 17 2014 fwang <fwang> 12:2.8.2-1.mga5
+ Revision: 615341
- 2.8.2

* Sat Apr 05 2014 wally <wally> 12:2.8.1-2.mga5
+ Revision: 611977
- rebuild for new icu

* Mon Mar 31 2014 fwang <fwang> 12:2.8.1-1.mga5
+ Revision: 610832
- update file list
- updated tarball
- 2.8.1

* Wed Mar 19 2014 fwang <fwang> 12:2.8.0-2.mga5
+ Revision: 605486
- rebuild for new marble

* Thu Mar 06 2014 fwang <fwang> 12:2.8.0-1.mga5
+ Revision: 600420
- 2.8.0

* Mon Feb 17 2014 fwang <fwang> 12:2.7.92-1.mga5
+ Revision: 593152
- 2.7.92

* Tue Feb 11 2014 fwang <fwang> 12:2.7.91-1.mga5
+ Revision: 589212
- enable pgsql
- suggests gmic
- add more br
- do not requires gtl now
- 2.7.91

* Thu Nov 28 2013 fwang <fwang> 12:2.7.5-1.mga4
+ Revision: 553797
- new version 2.7.5

* Mon Oct 21 2013 umeabot <umeabot> 12:2.7.4-2.mga4
+ Revision: 538136
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - new version 2.7.4

* Sat Sep 28 2013 tv <tv> 12:2.7.3-3.mga4
+ Revision: 488562
- rebuild with fixed rpm (missing suggests tags)

* Fri Sep 27 2013 fwang <fwang> 12:2.7.3-2.mga4
+ Revision: 487473
- rebuild for icu 52

* Mon Sep 16 2013 fwang <fwang> 12:2.7.3-1.mga4
+ Revision: 480235
- new version 2.7.3

* Thu Sep 12 2013 fwang <fwang> 12:2.7.2-2.mga4
+ Revision: 477889
- rebuild for new openexr

* Tue Aug 20 2013 fwang <fwang> 12:2.7.2-1.mga4
+ Revision: 468059
- new version 2.7.2

* Thu Aug 01 2013 fwang <fwang> 12:2.7.1-1.mga4
+ Revision: 461999
- new version 2.7.1

* Wed Jul 31 2013 fwang <fwang> 12:2.6.92-6.mga4
+ Revision: 461344
- rebuild for new poppler

* Wed Jul 24 2013 sander85 <sander85> 12:2.6.92-5.mga4
+ Revision: 457689
- Rebuild for new glew

* Sat Jul 20 2013 fwang <fwang> 12:2.6.92-4.mga4
+ Revision: 456514
- rebuild for new poppler

* Fri Jul 19 2013 fwang <fwang> 12:2.6.92-3.mga4
+ Revision: 456356
- br vc as suggested by upstream

* Tue Jul 09 2013 fwang <fwang> 12:2.6.92-2.mga4
+ Revision: 451605
- rebuild for new boost

* Mon Jul 01 2013 fwang <fwang> 12:2.6.92-1.mga4
+ Revision: 448738
- update file list
- update file list
- update file list
- update file list
- update file list
- build with gold to make it faster
- update file list
- new version 2.6.92
- rebuild for new openjpeg

* Sun Jun 02 2013 fwang <fwang> 12:2.6.91-2.mga4
+ Revision: 434990
- rebuild for new libpng

* Mon May 27 2013 fwang <fwang> 12:2.6.91-1.mga4
+ Revision: 428603
- update file list
- add libs
- update file list
- update libname
- SIELNT: update file list
- SIELNT: update file list
- SIELNT: update file list
- new version 2.6.91

* Fri May 24 2013 fwang <fwang> 12:2.6.3-1.mga4
+ Revision: 425831
- new version 2.6.3

* Thu Mar 14 2013 fwang <fwang> 12:2.6.2-1.mga3
+ Revision: 403123
- new version 2.6.2

* Sun Feb 24 2013 fwang <fwang> 12:2.6.1-1.mga3
+ Revision: 400207
- drop upstream patch
- new version 2.6.1

* Wed Feb 06 2013 fwang <fwang> 12:2.6.0-2.mga3
+ Revision: 394838
- update file list
- add upstream patch to enable mobi plugin

* Wed Feb 06 2013 fwang <fwang> 12:2.6.0-1.mga3
+ Revision: 394802
- update file list
- update file list
- update file list
- update file list
- update file list
- new version 2.6.0
- update file list
- update file list
- update file list
- new version 2.5.94

* Fri Jan 11 2013 umeabot <umeabot> 12:2.5.93-3.mga3
+ Revision: 347340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities
    - Update group: Office/Other -> Office/Utilities
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Dec 30 2012 fwang <fwang> 12:2.5.93-2.mga3
+ Revision: 336406
- rebuild for new poppler

* Tue Dec 18 2012 fwang <fwang> 12:2.5.93-1.mga3
+ Revision: 332242
- new version 2.5.93
- disable tests build

* Sun Dec 02 2012 fwang <fwang> 12:2.5.92-2.mga3
+ Revision: 325046
- rebuild for new openexr

* Tue Nov 27 2012 fwang <fwang> 12:2.5.92-1.mga3
+ Revision: 322253
- update file list
- drop liblibwmf
- disable test build all
- drop tests/CMakeLists.txt
- drop tests from main building
- build verbose
- new version 2.5.92
- rebuild for updated kactivities

* Mon Nov 12 2012 fwang <fwang> 12:2.5.91-4.mga3
+ Revision: 317124
- rebuild for new poppler

* Fri Nov 09 2012 fwang <fwang> 12:2.5.91-3.mga3
+ Revision: 316616
- rebuild for update icu

* Tue Nov 06 2012 fwang <fwang> 12:2.5.91-2.mga3
+ Revision: 314774
- rebuild for new icu

* Tue Oct 30 2012 fwang <fwang> 12:2.5.91-1.mga3
+ Revision: 311575
- update file list
- update file list
- update file list
- new version 2.5.91

* Mon Oct 15 2012 fwang <fwang> 12:2.5.90-2.mga3
+ Revision: 306644
- br opencolorio

* Mon Oct 15 2012 fwang <fwang> 12:2.5.90-1.mga3
+ Revision: 305837
- update file list
- calligraactive is not built now
- update file list
- update file list
- update file list
- new version 2.5.90

* Wed Oct 10 2012 tv <tv> 12:2.5.3-3.mga3
+ Revision: 304195
- rebuild with new poppler

* Sun Oct 07 2012 fwang <fwang> 12:2.5.3-2.mga3
+ Revision: 303256
- rebuild for new openjpeg

* Sun Oct 07 2012 fwang <fwang> 12:2.5.3-1.mga3
+ Revision: 303120
- new version 2.5.3
- update group

* Tue Sep 11 2012 fwang <fwang> 12:2.5.2-3.mga3
+ Revision: 292270
- fix requires on calligra sheets

* Tue Sep 11 2012 fwang <fwang> 12:2.5.2-2.mga3
+ Revision: 292157
- rebuild for new poppler

  + mikala <mikala>
    - Create subpackages (kexi-driver-xxx, calligra-xxx)  as highly suggested by upstream (see README.packagers)
    - Remove wrong provides (already done by rpm)
    - Add a switch for postgresql too
    - Make xbase build conditionnal (until we fix it)
    - Fix some groups & description
    - -DIHAVEPATCHEDQT=ON not needed anymore since Qt 4.8.2
    - Remove defattr()
    - Fix License tag
    - Switch to pkconfig() for BuildRequires
    - Remove redundant BR (qca2-devel, mysql-devel)
    - Update tarball to 2.5.2
    - Fix files list

* Thu Aug 30 2012 fwang <fwang> 12:2.5.1-1.mga3
+ Revision: 285639
- new version 2.5.1

* Tue Aug 21 2012 fwang <fwang> 12:2.5.0-2.mga3
+ Revision: 282860
- rebuild for new poppler

* Wed Aug 15 2012 neoclust <neoclust> 12:2.5.0-1.mga3
+ Revision: 281387
- New version

* Thu Aug 02 2012 fwang <fwang> 12:2.4.92-2.mga3
+ Revision: 277790
- rebuild for new icu
- rebuild for new glew

* Wed Jul 18 2012 fwang <fwang> 12:2.4.92-1.mga3
+ Revision: 272142
- update file list
- new version 2.4.92

* Sun Jul 01 2012 fwang <fwang> 12:2.4.91-2.mga3
+ Revision: 265752
- rebuild for new libkdcraw

* Thu Jun 21 2012 fwang <fwang> 12:2.4.91-1.mga3
+ Revision: 262426
- update file list
- update libmajor
- update libmajor
- new version 2.4.91

* Wed Jun 13 2012 fwang <fwang> 12:2.4.90-2.mga3
+ Revision: 260226
- rebuild for new poppler

* Sat Jun 02 2012 fwang <fwang> 12:2.4.90-1.mga3
+ Revision: 253362
- update file list
- do not build mobile
- add more br
- update file list
- new version 2.4.90

* Thu May 31 2012 fwang <fwang> 12:2.4.2-1.mga3
+ Revision: 251882
- update file list
- new version 2.4.2

* Wed May 30 2012 fwang <fwang> 12:2.4.1-2.mga3
+ Revision: 249619
- rebuild for new icu

* Wed May 09 2012 fwang <fwang> 12:2.4.1-1.mga2
+ Revision: 234964
- new version 2.4.1

* Wed Apr 25 2012 fwang <fwang> 12:2.4.0-3.mga2
+ Revision: 233177
- adding missing suggests on sub components

* Thu Apr 12 2012 fwang <fwang> 12:2.4.0-2.mga2
+ Revision: 230359
- rebuild for new openjpeg

* Tue Apr 10 2012 mikala <mikala> 12:2.4.0-1.mga2
+ Revision: 230054
- Fix files list
- Update to final 2.4.0

* Sat Mar 24 2012 fwang <fwang> 12:2.4-0.rc2.1.mga2
+ Revision: 226054
- update file list
- rename tables to sheets
- update file list
- update file list
- new version 2.4 rc2
- update url
- update file list
- br openexr
- active seems moved out
- new version 2.3.87

* Thu Jan 12 2012 fwang <fwang> 12:2.4-0.beta6.1.mga2
+ Revision: 195386
- update file list
- update fil elist
- upload tarball
- new version 2.4 beta6

* Sun Jan 08 2012 fwang <fwang> 12:2.4-0.beta5.3.mga2
+ Revision: 193163
- re-eanble opengtl support

* Sun Dec 25 2011 fwang <fwang> 12:2.4-0.beta5.2.mga2
+ Revision: 187398
- br xslt
- rebuild for new libtiff

* Sat Dec 17 2011 fwang <fwang> 12:2.4-0.beta5.1.mga2
+ Revision: 182946
- update file list
- update file list
- update file list
- new version 2.4 beta5

* Sat Dec 10 2011 eatdirt <eatdirt> 12:2.4-0.beta4.4.mga2
+ Revision: 180397
- Rebuilt for fftw-3.3

* Mon Dec 05 2011 fwang <fwang> 12:2.4-0.beta4.3.mga2
+ Revision: 176903
- update file list
- disable opengtl support for now, as it does not like llvm 3.0

* Sun Dec 04 2011 fwang <fwang> 12:2.4-0.beta4.2.mga2
+ Revision: 176043
- pqxx is too new
- rebuild for new libpqxx

* Thu Dec 01 2011 fwang <fwang> 12:2.4-0.beta4.1.mga2
+ Revision: 174975
- update file list
- update lib major
- update libmajor
- new version 2.3.84

* Fri Oct 28 2011 fwang <fwang> 12:2.4-0.beta3.2.mga2
+ Revision: 158968
- rebuild for new poppler

* Fri Oct 28 2011 fwang <fwang> 12:2.4-0.beta3.1.mga2
+ Revision: 158923
- update file list
- update file list
- update file list
- new version 2.3.83 (aka 2.4 beta3)

* Sun Oct 09 2011 fwang <fwang> 12:2.4-0.beta2.2.mga2
+ Revision: 153446
- rebuild for new exiv2
- update plan appname

* Sat Oct 08 2011 fwang <fwang> 12:2.4-0.beta2.1.mga2
+ Revision: 152975
- update file list
- update file list
- update file list
- new version 2.3.82 (2.4 beta2)

* Fri Oct 07 2011 fwang <fwang> 12:2.4-0.beta1.4.mga2
+ Revision: 152627
- br openjpeg
- rebuild for new openjpeg

* Mon Oct 03 2011 fwang <fwang> 12:2.4-0.beta1.3.mga2
+ Revision: 151217
- rebuild for new glew

* Tue Sep 27 2011 ovitters <ovitters> 12:2.4-0.beta1.2.mga2
+ Revision: 149392
- rebuild for new poppler

  + fwang <fwang>
    - update summary of active

* Fri Sep 16 2011 fwang <fwang> 12:2.4-0.beta1.1.mga2
+ Revision: 144167
- update file list
- fix libmajor of kexidataviewcommon (patch from upstream)
- update file list
- update file list
- update file list
- new version 2.3.81

* Wed Sep 14 2011 fwang <fwang> 12:2.4-0.alpha4.2.mga2
+ Revision: 143116
- rebuild for new libpng
- drop empty sections
- br freeglut
- update file list
- 2.3.74

  + mikala <mikala>
    - Add libkdcraw-common as requires for krita (lib(64)kdcraw20 should not require libkdraw-common)

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Fri Jul 15 2011 mikala <mikala> 12:2.4-0.alpha3.2.mga2
+ Revision: 124491
- Fix typo

  + dmorgan <dmorgan>
    - Fix spec file
    - Fix libwordsexportfilters package macros

* Fri Jul 15 2011 mikala <mikala> 12:2.4-0.alpha3.1.mga2
+ Revision: 124362
- Update tarball to 2.3.73 (2.4 Alpha 3)
- Add some missing BR ( okular-dev, libkdcraw-devel, xbase-devel)
- use lcms2-devel instead of lcms-devel
- libkwordexportfilters library changed to libwordsexportfilters
- Fix BuildRrequires ( remove kdegraphics4-devel & add libkexiv2-devel needed for krita)

* Fri Jun 17 2011 fwang <fwang> 12:2.4-0.alpha2.1.mga2
+ Revision: 108641
- 2.3.72 alpha2

  + mikala <mikala>
    - Update tarball (fix several bugs)
    - Fix files list

* Fri May 06 2011 mikala <mikala> 12:2.4-0.alpha1.9.mga1
+ Revision: 95324
- Update git tarball
- Fix file list

* Sun Mar 27 2011 ahmad <ahmad> 12:2.4-0.alpha1.8.mga1
+ Revision: 78073
- rebuild for new poppler

* Fri Mar 25 2011 dmorgan <dmorgan> 12:2.4-0.alpha1.7.mga1
+ Revision: 77241
- Rebuild against new mysql
- Rebuild against new mysql

* Sun Feb 20 2011 dmorgan <dmorgan> 12:2.4-0.alpha1.6.mga1
+ Revision: 54502
- Add obsolete to fix updates from mdv

  + mikala <mikala>
    - Update some descriptions
    - Remove several provides
    - Add a Obsoletes koffice-devel on calligra-devel package
    - Update somes urls, summary & description

* Thu Feb 17 2011 mikala <mikala> 12:2.4-0.alpha1.4.mga1
+ Revision: 52920
- Fix BuildRequires (so kchart,kexi,krita can be installed)
- Fix file list
- Clean BuildRequires

  + dmorgan <dmorgan>
    - Fix provides/obsoletes koffice-core

* Sun Feb 13 2011 ahmad <ahmad> 12:2.4-0.alpha1.2.mga1
+ Revision: 51520
- add epoch 12, as some packages still have the same name
- adapt the spec to the name changes
- add patch to fix koabstraction includes
- imported package calligra

